Package com.emc.d2fs.exceptions

# Enum D2fsException.TYPE

java.lang.Object
java.lang.Enum<D2fsException.TYPE>
com.emc.d2fs.exceptions.D2fsException.TYPE

All Implemented Interfaces:
  `Serializable`, `Comparable<D2fsException.TYPE>`, `java.lang.constant.Constable`

Enclosing class:
  D2fsException

public static enum D2fsException.TYPE extends Enum<D2fsException.TYPE>
Exception type constants

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CONFIRM`
  `FAILURE`
  `INFO`
  `PROMPT`
  `QUESTION`
  `RESULT`
  `SILENT`
  `WARNING`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static D2fsException.TYPE`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static D2fsException.TYPE[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### WARNING

    public static final D2fsException.TYPE WARNING

  - ### FAILURE

    public static final D2fsException.TYPE FAILURE

  - ### SILENT

    public static final D2fsException.TYPE SILENT

  - ### RESULT

    public static final D2fsException.TYPE RESULT

  - ### INFO

    public static final D2fsException.TYPE INFO

  - ### CONFIRM

    public static final D2fsException.TYPE CONFIRM

  - ### QUESTION

    public static final D2fsException.TYPE QUESTION

  - ### PROMPT

    public static final D2fsException.TYPE PROMPT

- ## Method Details

  - ### values

    public static D2fsException.TYPE[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static D2fsException.TYPE valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null